package org.zeroturnaround.javarebel.integration.sap;

import org.zeroturnaround.javarebel.Resource;
import org.zeroturnaround.javarebel.integration.support.BaseClassResourceSource;

public class SapClassResourceSourceImpl extends BaseClassResourceSource {
  private SapResourceSource srs;
  
  public SapClassResourceSourceImpl(SapResourceSource srs) {
    super();
    this.srs = srs;
  }

  public Resource[] getLocalResources(String name) {
    return srs.getRebelLocalResources(name);
  }

  public Resource getLocalResource(String name) {
    return srs.getRebelLocalResource(name);
  }

}
